Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping
Class NREP_MS_Thread

    java.lang.Object
      mapping.NREP_MS_Thread

All Implemented Interfaces:
  java.lang.Runnable

    public class NREP_MS_Thread

extends java.lang.Object
implements java.lang.Runnable

This Thread is a helper thread for the FCFS_MS objects. It is a thread that iterates over the AvailableServers Queue and then it asks the FCFS_MS object to map a job for a certain number of servers in the queue

Author:
  Majd Kokaly & Ben Kybartas

Constructor Summary
`NREP_MS_Thread(NREP_MS rep_ms)` A default constructor

Method Summary
`boolean` | `arrayisFull(int[] array)`
`NREP_MS` | `getNREP_MS()`
`boolean` | `isAlive()`
`boolean` | `readyforJobSubmission()`
`void` | `run()`
`void` | `setAlive(boolean alive)`
`void` | `setNREP_MS(NREP_MS Rep_ms)`
`void` | `startThread()` This method starts the thread
`void` | `stopThread()` This method stops the thread

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NREP_MS_Thread

    public NREP_MS_Thread(NREP_MS rep_ms)

  A default constructor

Method Detail

### isAlive

    public boolean isAlive()

### setAlive

    public void setAlive(boolean alive)

### getNREP_MS

    public NREP_MS getNREP_MS()

### setNREP_MS

    public void setNREP_MS(NREP_MS Rep_ms)

### startThread

    public void startThread()

  This method starts the thread

### stopThread

    public void stopThread()

  This method stops the thread

### arrayisFull

    public boolean arrayisFull(int[] array)

### readyforJobSubmission

    public boolean readyforJobSubmission()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD